Redmine - Defect #32503

Project jump box options are not extracted correctly after searching
2019-11-22 06:10 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
Reproduction procedure:

e Step1. Check the options for Project jump box
e Step2. Search by entering keywords on https://redmine_url/search
e Step3. Check the options for Project jump box. You should see different options than when you checked in step1.

Cause:
Both the search keyword input field of the search page and the project jump box input field are elements with name q.

Project jumpbox options are narrowed down based on paramsl[:q]. (
http://www.redmine.org/projects/redmine/repository/entry/trunk/app/helpers/application_helper.rb#L 475 )

bookmarked = jump_box.bookmarked_projects (params[:q])
recents = Jjump_box.recently_used_projects (params[:qg])
projects = projects - (recents + bookmarked)

The params]:q] received from the search keyword input field is mistaken for the paramsl:q] received from the project jump box input
field, and the keyword(params[:q]) will narrow down the project jump box options.

related to #31355

Related issues:
Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

Associated revisions

Revision 19325 - 2019-12-02 02:37 - Go MAEDA
Fix that bookmarked and recently used projects are unexpectedly filtered by a search keyword after full-text search (#31355, #32503).

Patch by Mizuki ISHIKAWA.

Revision 19326 - 2019-12-02 03:21 - Go MAEDA
Merged r19325 from trunk to 4.1-stable (#31355, #32503).

History

#1 - 2019-11-22 06:36 - Mizuki ISHIKAWA
- File example.gif added

| attach a screen gif that reproduces the problem.

#2 - 2019-11-29 06:03 - Mizuki ISHIKAWA

The following minor changes will fix this issue.

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index ab4849957..b76ade5d8 100644

-—— a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb

@@ -477,8 +477,9 Q@ module ApplicationHelper
https://redmine_url/search
http://www.redmine.org/projects/redmine/repository/entry/trunk/app/helpers/application_helper.rb#L475
https://www.redmine.org/issues/31355

def render_projects_for_jump_box (projects, selected=nil)
jump_box = Redmine::ProjectJumpBox.new User.current

= bookmarked = jump_box.bookmarked_projects (params[:q])
= recents = jump_box.recently_used_projects (params[:q])
query = params[:gq] if request.format.js?
bookmarked = jump_box.bookmarked_projects (query)
recents = jump_box.recently_used_projects (query)
projects = projects - (recents + bookmarked)
projects_label = (bookmarked.any? || recents.any?) ? :label_optgroup_others : :label_project_plural
jump = params|[:jump].presence || current_menu_item

+ + +

#3 - 2019-11-29 06:40 - Go MAEDA

Confirmed the issue is reproducible and the patch in #32503#note-2 fixes it.

#4 - 2019-11-29 06:40 - Go MAEDA

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#5 - 2019-12-02 02:39 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch in #32503#note-2 as a part of #31355. Thank you for catching and fixing it before the release of 4.1.0.
